### The Feather General Public License
Version 3, April 2021

Anyone can distribute this document. You are permitted to modify this document, as long as you change its name.

### Terms and Conditions

#### (1) Definitions

As used herein -

-   (a) "this License" refers to version 3 of the Feather General Public License;

-   (b) "the Program" means any copyrightable computer program that has been conveyed under the terms of this License; and

-   (c) "you" refers to any person that comes into possession of the Program.

Definitions of "modify," "propagate," "convey," "source code," "object code," and "Corresponding Source" and any other defined terms those definitions reference, from the GNU General Public License, version 3, are hereby incorporated into this License.

#### (2) General License

You may create, run, and propagate modified versions of the Program which you do not convey. Withstanding termination of this License, you may run the Program without restriction.

Each copyright holder in the Program hereby grants you a perpetual, irrevocable, worldwide, royalty-free, and non-exclusive patent license to create, use, sell, or otherwise propagate the contents of the Program that would otherwise infringe upon the patent claims of those copyright holders.

#### (3) Conveying the Program

You may convey modified versions of the Program that you create, provided that you convey the Corresponding Source of that work and license the entire work under -

-   (a) this License;
-   (b) the GNU General Public License, version 3 or any later version;
-   (c) the GNU Affero General Public License, version 3 or any later version; or
-   (d) any license document not listed, provided that the license -
    -   (1) contains substantially similar provisions to all of those within one of the above mentioned license documents;
    -   (2) does not restrict the rights of the licensees to sell or give away that work, by itself or as a component of another program;
    -   (3) allows modifications and dervatives of the work to be licensed under your work's license and/or another license with substantially similar provisions (at your option), unless the license allows for the distribution of separate files to modify the source code of the work, or "patch files";
    -   (4) allows distribution of derivatives in source code and object code form;
    -   (5) requires the Corresponding Source of modifications and derivative works to be distributed with the source code;
    -   (6) does not discriminate against any person or group of persons;
    -   (7) allows use for any purpose whatsoever, including without limitation commercial, noncommercial, scientific, or otherwise;
    -   (8) applies to the entire work and any portions extracted by the copyright holders or someone bound by the license;
    -   (9) does not restrict distribution of any other software with your work; and
    -   (10) does not base any portion of itself upon a specific technology or medium of distribution.

You may convey verbatim copies of the Program in object code form provided that you prominently offer anyone to whom you distribute the Program an opportunity to receive the Program's source code.

#### (4) License Exclusions

Except as explicitly stated herein, no part of this License grants any license to any copyright holder's copyrights, trademarks, patents, or any other intellectual property.

#### (5) External Program Licenses

The Program may depend on external programs whose license documents have provisions not listed here. If so, you must apply those external programs' license documents to any modified versions you may distribute in relation to those external programs.

#### (6) Acceptance and Termination

By exercising any rights granted by this License, you irrevocably agree to all of the terms and provisions of this License. If you violate any part of this License it shall immediately terminate.

#### (7) No Warranty

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

#### (8) References

You may obtain copies of GNU licenses at <https://www.gnu.org/licenses/>.

Sections 3(d)(2) through (10) were largely adapted from the Open Source Definition, a work of the Open Source Initiative, licensed under the Creative Commons Attribution 4.0 International License. You may obtain a copy of the Open Source Definition from the Open Source Initiative at <https://opensource.org/docs/osd> or any other such URL as provided by them.
